Package org.apache.el.lang

## Class FunctionMapperImpl

- java.lang.Object
- - javax.el.FunctionMapper
  - - org.apache.el.lang.FunctionMapperImpl

All Implemented Interfaces:
  `java.io.Externalizable`, `java.io.Serializable`

    public class FunctionMapperImpl
    extends FunctionMapper
    implements java.io.Externalizable

Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `FunctionMapperImpl.Function`

### Field Summary

Fields
`protected java.util.concurrent.ConcurrentMap<java.lang.String,​FunctionMapperImpl.Function>` `functions`

### Constructor Summary

Constructors
`FunctionMapperImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mapFunction​(java.lang.String prefix, java.lang.String localName, java.lang.reflect.Method m)` Map a method to a function name.
`void` `readExternal​(java.io.ObjectInput in)`
`java.lang.reflect.Method` `resolveFunction​(java.lang.String prefix, java.lang.String localName)`
`void` `writeExternal​(java.io.ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### functions

    protected java.util.concurrent.ConcurrentMap<java.lang.String,​FunctionMapperImpl.Function> functions

### Constructor Detail

#### FunctionMapperImpl

    public FunctionMapperImpl()

### Method Detail

#### resolveFunction

    public java.lang.reflect.Method resolveFunction​(java.lang.String prefix,
                                                    java.lang.String localName)

Specified by:
  `resolveFunction` in class `FunctionMapper`

#### mapFunction

    public void mapFunction​(java.lang.String prefix,
                            java.lang.String localName,
                            java.lang.reflect.Method m)

Description copied from class: `javax.el.FunctionMapper`
Map a method to a function name.

Overrides:
  `mapFunction` in class `FunctionMapper`
Parameters:
  `prefix` - Function prefix
  `localName` - Function name
  `m` - Method

#### writeExternal

    public void writeExternal​(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`

#### readExternal

    public void readExternal​(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`